__遠隔制御できるロボットアームを作りましょう__

回転式ポテンショメータを使いサーボの位置をコントロールします。

* ポテンショメータをA2pinに接続します
* 9pinにサーボを接続します
* ポテンショメータを回転させるとサーボが回転します

## 回路図

```
         Servo
         .---.
         | | |
       -===+===-
         | | |
         |   |
         '---'
         | | |
         | | |
         | | ------------------o  Pin 9
         | |
         | ----------------.---o  +5
         |                 |
         |  Potentiometer  |
GND  o---.------/\/\/------.
                   ^
                   |
                   |
 A2  o--------------

```

## コンポーネント

- Potentiometer - http://node-ardx.org/electronics-primer#pot

> シャフトの角度によって変化する可変抵抗を生成します。

## ドキュメント

- Sensor - https://github.com/rwaldron/johnny-five/wiki/Sensor
- Fn - https://github.com/rwaldron/johnny-five/blob/master/lib/fn.js

## ヒント

- ポテンショメータは、センサーオブジェクトの別のユースケースです。
- 0〜1023の間の入力値を生成します。
- サーボは通常0〜179度の角度を動くことができます。
- `five.Fn.mapメソッド`はポテンショメータの値(0~1023)をサーボの角度(0~179)にマッピングすることができます。

---
